<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="Encoding" defaultCharsetForPropertiesFiles="UTF-8">
    <file url="file://$APPLICATION_HOME_DIR$/src/main/java" charset="UTF-8" />
    <file url="file://$APPLICATION_HOME_DIR$/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-admin/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-admin/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-core/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-core/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-doc/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-doc/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-encrypt/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-encrypt/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-excel/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-excel/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-idempotent/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-idempotent/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-job/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-job/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-json/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-json/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-log/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-log/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-mail/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-mail/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-mqtt/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-mqtt/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-mybatis/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-mybatis/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-oss/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-oss/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-ratelimiter/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-ratelimiter/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-redis/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-redis/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-satoken/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-satoken/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-security/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-security/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-sensitive/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-sensitive/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-sms/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-sms/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-social/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-social/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-sse/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-sse/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-tenant/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-tenant/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-translation/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-translation/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-web/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-web/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-websocket/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-common/water-common-websocket/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-extend/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-extend/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-extend/water-monitor-admin/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-extend/water-monitor-admin/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-extend/water-snailjob-server/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-extend/water-snailjob-server/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-modules/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-modules/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-modules/water-app/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-modules/water-app/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-modules/water-demo/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-modules/water-demo/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-modules/water-generator/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-modules/water-generator/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-modules/water-job/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-modules/water-job/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-modules/water-system/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-modules/water-system/src/main/resources" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-modules/water-workflow/src/main/java" charset="UTF-8" />
    <file url="file://$PROJECT_DIR$/water-modules/water-workflow/src/main/resources" charset="UTF-8" />
  </component>
</project>